@import './variables.scss';

body {
  overflow-x: hidden;
}

* {
  box-sizing: border-box;
}

#root {
  min-height: 100vh;
  overflow-x: hidden;
}

body,
html {
  margin: 0;
  padding: 0;
  font-family: $font-primary;
  color: $text-primary;

  .dark & {
    background: $dark-color;
    color: $white-color;
  }
}

.icon {
  width: 16px;
  height: auto;
}

.theme-toggle {
  position: absolute;
  top: 20px;
  right: 20px;
  width: 30px;
  height: 30px;
  cursor: pointer;
  border: 0;
  background: none;
  z-index: 2;

  .icon {
    width: 22px;

    .dark & {
      fill: $white-color;
    }
  }
}

.ant-btn-primary {
  background: $primary-color;
  border-color: $primary-color;

  &:hover,
  &:focus {
    background: darken($primary-color, 2) !important;
    border-color: darken($primary-color, 2) !important;
  }
}

.ant-btn-default {
  border-color: $primary-color;
  color: $primary-color;

  &:hover,
  &:focus {
    border-color: darken($primary-color, 2) !important;
    color: darken($primary-color, 2) !important;
  }
}

.main-btn {
  background: $primary-color;
  border: 1px solid $primary-color;
  ;
  color: $white-color;
  width: 100%;
  height: 40px;
  padding: 0 20px;
  border-radius: 6px;
  transition: all ease-in 0.1s;
  cursor: pointer;
  font-size: 15px;
  text-transform: uppercase;

  &:hover,
  &:focus {
    background: darken($primary-color, 5);
  }
}

.leftbar {
  width: 100%;
  max-width: 240px;
  min-width: 240px;
  background: $primary-color;
  min-height: calc(100vh - 2rem);
  max-height: 100vh;
  padding: 0 20px;
  border-radius: 1rem;

  @media screen and (max-width:991px) {
    min-height: 100vh;
    border-radius: 0 1rem 1rem 0;
    max-width: 100%;
    min-width: auto;
  }

  .dark & {
    background: darken($dark-color, 3.5);
  }

  .logout-btn {
    position: absolute;
    bottom: 40px;
    color: $white-color;
    text-decoration: none;
    display: flex;
    align-items: center;
    font-size: 15px;
    left: 40px;

    &:hover {
      opacity: 0.8;
    }

    .icon {
      fill: $white-color;
      margin-right: 8px;
      width: 20px;
    }
  }

  .logo {
    margin-top: 2rem;
    margin-bottom: 1.5rem;
    text-align: center;

    @media screen and (max-width:991px) {
      padding-top: 1.5rem;
    }

    img {
      width: 100%;
      max-width: 180px;
      margin: auto;
    }
  }

  ul {
    list-style-type: none;
    padding-left: 0;

    li {
      padding: 4px 0;

      a {
        color: $white-color;
        display: block;
        padding: 12px 15px;
        border-radius: 6px;
        text-decoration: none;
        border-left: 2px solid transparent;

        &.active {
          border-left: 2px solid #B77C3D;
          background: darken($primary-color, 1.5);

          .dark & {
            background: $dark-color;
          }
        }
      }
    }
  }
}

.ant-tour {
  max-width: 90vw;
}

.ant-tour-inner {
  .ant-tour-cover {
    padding: 0 !important;
    border-radius: 5px 5px 0 0;
    overflow: hidden;

    img {
      max-width: 400px;
      margin: auto;
    }
  }

  .skip-btn4 {
    position: absolute;
    font-size: 14px;
    line-height: 1.5714285714285714;
    height: 24px !important;
    padding: 0px 7px;
    border-radius: 4px;
    right: 15px;
    bottom: 16px;
    z-index: 2;
    min-width: 52px;
  }

  .skip-btn2 {
    position: absolute;
    font-size: 14px;
    line-height: 1.5714285714285714;
    height: 24px !important;
    padding: 0px 7px;
    border-radius: 4px;
    left: 80px;
    bottom: 16px;
    z-index: 2;
    min-width: 52px;

    &.ant-btn-background-ghost {
      border-color: $primary-color;
      color: $primary-color;
    }
  }

  .ant-tour-indicators {
    .ant-tour-indicator.ant-tour-indicator-active {
      background: $primary-color !important;
    }
  }
}

.menu-btn {
  position: fixed;
  top: 20px;
  left: 0;
  width: 34px;
  height: 34px;
  border-radius: 0 5px 5px 0;
  padding: 5px;

  @media screen and (max-width:767px) {
    top: 15px;
  }

  .icon {
    fill: $white-color;
  }
}

.menu-drawer {
  font-family: $font-primary !important;
  padding: 0;

  &.ant-drawer-content {
    background: none !important;
    box-shadow: none !important;
  }

  .ant-drawer-body {
    padding: 0;
  }

  .logo {
    margin-top: 0;
  }
}

.ant-drawer-content-wrapper {
  box-shadow: none !important;
}

.ant-drawer-content-wrapper {
  background: none !important;
}

.table-responsive {
  width: 100%;

  @media screen and (max-width:767px) {
    overflow-x: auto;

    table {
      display: table;
      width: 100%;
    }
  }
}